org.apache.lucene.analysis.ja.dict

## Class UnknownDictionary

- java.lang.Object
- - org.apache.lucene.analysis.ja.dict.BinaryDictionary
  - - org.apache.lucene.analysis.ja.dict.UnknownDictionary

All Implemented Interfaces:
  Dictionary

    public final class UnknownDictionary
    extends BinaryDictionary

Dictionary for unknown-word handling.

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary

`DICT_FILENAME_SUFFIX, DICT_HEADER, HAS_BASEFORM, HAS_PRONUNCIATION, HAS_READING, POSDICT_FILENAME_SUFFIX, POSDICT_HEADER, TARGETMAP_FILENAME_SUFFIX, TARGETMAP_HEADER, VERSION`

### Fields inherited from interface org.apache.lucene.analysis.ja.dict.Dictionary

`INTERNAL_SEPARATOR`

### Method Summary

Methods
`CharacterDefinition` `getCharacterDefinition()`
`String` `getInflectionForm(int wordId)` Get inflection form of tokens
`String` `getInflectionType(int wordId)` Get inflection type of tokens
`static UnknownDictionary` `getInstance()`
`String` `getReading(int wordId, char[] surface, int off, int len)` Get reading of tokens
`int` `lookup(char[] text, int offset, int len)`

### Methods inherited from class org.apache.lucene.analysis.ja.dict.BinaryDictionary

`getBaseForm, getClassResource, getLeftId, getPartOfSpeech, getPronunciation, getResource, getRightId, getWordCost, lookupWordIds`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### lookup

    public int lookup(char[] text,
             int offset,
             int len)

#### getCharacterDefinition

    public CharacterDefinition getCharacterDefinition()

#### getReading

    public String getReading(int wordId,
                    char[] surface,
                    int off,
                    int len)

Description copied from interface: `Dictionary`
Get reading of tokens

Specified by:
  `getReading` in interface `Dictionary`
Overrides:
  `getReading` in class `BinaryDictionary`
Parameters:
  `wordId` - word ID of token
Returns:
  Reading of the token

#### getInflectionType

    public String getInflectionType(int wordId)

Description copied from interface: `Dictionary`
Get inflection type of tokens

Specified by:
  `getInflectionType` in interface `Dictionary`
Overrides:
  `getInflectionType` in class `BinaryDictionary`
Parameters:
  `wordId` - word ID of token
Returns:
  inflection type, or null

#### getInflectionForm

    public String getInflectionForm(int wordId)

Description copied from interface: `Dictionary`
Get inflection form of tokens

Specified by:
  `getInflectionForm` in interface `Dictionary`
Overrides:
  `getInflectionForm` in class `BinaryDictionary`
Parameters:
  `wordId` - word ID of token
Returns:
  inflection form, or null

#### getInstance

    public static UnknownDictionary getInstance()